./textproc/xmlada, Adacore XML suite for the Ada language

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 4.4.0.0nb3, Package name: xmlada-4.4.0.0nb3, Maintainer: pkgsrc-users

XML/Ada is a full XML suite for use with Ada compilers, such as GNAT AUX.

XML/Ada is a set of modules that provide a simple manipulation of XML
streams. It supports the whole XML 1.1 specification and can parse any file
that follows this standard, including the contents of the DTD although no
validation of the documents is performed based on those.

It provides support for a number of standards associated with XML such as
SAX, DOM, and XML schemas. Additionally, it includes a module to manipulate
unicode streams since this is required by the XML standard.


Required to run:
[textproc/py-sphinx] [lang/python27]

Required to build:
[pkgtools/cwrappers] [lang/gcc5-aux]

Master sites:

SHA1: 285e98269160428e9387a3b3b3b82c1aef4b9c62
RMD160: 389328c6582e96a139694ce854e1fdc8af6d892b
Filesize: 617.399 KB

Version history: (Expand)


CVS history: (Expand)


   2018-07-03 07:03:44 by Adam Ciarcinski | Files touched by this commit (495)
Log message:
extend PYTHON_VERSIONS_ for Python 3.7
   2018-04-02 11:30:07 by Thomas Klausner | Files touched by this commit (13)
Log message:
*: reset maintainer for marino on his request
   2018-01-07 14:04:44 by Roland Illig | Files touched by this commit (583)
Log message:
Fix indentation in buildlink3.mk files.

The actual fix as been done by "pkglint -F */*/buildlink3.mk", and was
reviewed manually.

There are some .include lines that still are indented with zero spaces
although the surrounding .if is indented. This is existing practice.
   2018-01-01 23:30:04 by Roland Illig | Files touched by this commit (537)
Log message:
Sort PLIST files.

Unsorted entries in PLIST files have generated a pkglint warning for at
least 12 years. Somewhat more recently, pkglint has learned to sort
PLIST files automatically. Since pkglint 5.4.23, the sorting is only
done in obvious, simple cases. These have been applied by running:

  pkglint -Cnone,PLIST -Wnone,plist-sort -r -F
   2017-04-20 10:49:49 by Jonathan Perkin | Files touched by this commit (1)
Log message:
Fix PLIST.
   2017-01-01 15:44:09 by Thomas Klausner | Files touched by this commit (577)
Log message:
Add python-3.6 to incompatible versions.
   2016-11-25 21:36:50 by John Marino | Files touched by this commit (21)
Log message:
Upgrade USE_LANGUAGES=ada to use lang/gcc5-aux instead of lang/gcc-aux

This large commit accomplishes the following:

1) Switch USE_LANGUAGES=ada to require lang/gcc5-aux (gcc 5.4) instead
   of lang/gcc-aux (gcc 4.9.2) on gcc.mk
2) Bump affected ports and fix paths as necessary
3) Upgrade devel/gprbuild to the latest release
   - No longer requires lang/gnat_util
   - gprslave requires gcc6-aux, so it was disabled for now
4) Fix lang/gnat_util but set PKG_SKIP_REASON
   - It has no further purpose in the pkgsrc tree
   - It has no practical purpose outside of the pkgsrc tree
   - Indicate intent to remove from tree in Jan. 2017
5) Set devel/GPS as failed with PKG_FAIL_REASON
   - This version of GPS is several years old and at the time they were
     strongly tied to compiler.
   - Latest release of GPS require gcc6-aux (not available) and several
     new and complex dependencies
   - maintainer (me) has no interest to continue supporting it
   - Leaving GPS in place until Jan 2017 to give another person chance to
     upgrade and take over support
   - Latest version in FreeBSD Ports Collection as a reference point
   2016-07-09 15:04:18 by Thomas Klausner | Files touched by this commit (599)
Log message:
Remove python33: adapt all packages that refer to it.